> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /softwareadvice/products

> Get Software Advice (softwareadvice.com) product details by category-scoped profile path or URL

**Price:** 20 credits

**⚠️ Common errors:** 412: Product not found



## OpenAPI

````yaml /openapi/reviews-software-employer.json post /api/softwareadvice/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/softwareadvice/products:
    post:
      tags:
        - /softwareadvice
      summary: /softwareadvice/products
      description: >-
        Get Software Advice (softwareadvice.com) product details by
        category-scoped profile path or URL


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Product not found
      operationId: __api_softwareadvice_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SoftwareadviceProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SoftwareadviceProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SoftwareadviceProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        product:
          type: string
          minLength: 1
          pattern: >-
            ^(?:https?://[^\s]+|//[^\s]+|(?:www\.|softwareadvice\.com)[^\s]*|/?[A-Za-z0-9][A-Za-z0-9._/\-]*)$
      type: object
      required:
        - product
    SoftwareadviceProduct:
      properties:
        '@type':
          type: string
          default: SoftwareadviceProduct
        id:
          type: string
        seo_id:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        long_description:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        vendor_name:
          anyOf:
            - type: string
            - type: 'null'
        vendor_website_url:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        ease_of_use_rating:
          anyOf:
            - type: number
            - type: 'null'
        customer_support_rating:
          anyOf:
            - type: number
            - type: 'null'
        value_for_money_rating:
          anyOf:
            - type: number
            - type: 'null'
        functionality_rating:
          anyOf:
            - type: number
            - type: 'null'
        advisor_recommendations_count:
          anyOf:
            - type: integer
            - type: 'null'
        last_review_at:
          anyOf:
            - type: integer
            - type: 'null'
        review_distribution:
          anyOf:
            - $ref: '#/components/schemas/SoftwareadviceRatingDistribution'
            - type: 'null'
        pricing:
          anyOf:
            - $ref: '#/components/schemas/SoftwareadvicePricing'
            - type: 'null'
        pros:
          items:
            $ref: '#/components/schemas/SoftwareadviceProCon'
          type: array
          default: []
        cons:
          items:
            $ref: '#/components/schemas/SoftwareadviceProCon'
          type: array
          default: []
        features:
          items:
            $ref: '#/components/schemas/SoftwareadviceFeature'
          type: array
          default: []
        best_features:
          items:
            $ref: '#/components/schemas/SoftwareadviceScoredFeature'
          type: array
          default: []
        worst_features:
          items:
            $ref: '#/components/schemas/SoftwareadviceScoredFeature'
          type: array
          default: []
        product_features:
          items:
            type: string
          type: array
          default: []
        category_features:
          items:
            type: string
          type: array
          default: []
        integrations:
          items:
            $ref: '#/components/schemas/SoftwareadviceIntegration'
          type: array
          default: []
        categories:
          items:
            $ref: '#/components/schemas/SoftwareadviceCategoryRef'
          type: array
          default: []
        alternatives:
          items:
            $ref: '#/components/schemas/SoftwareadviceProductRef'
          type: array
          default: []
        recommended_products:
          items:
            $ref: '#/components/schemas/SoftwareadviceProductRef'
          type: array
          default: []
        frontrunner_years:
          items:
            type: string
          type: array
          default: []
        screenshots:
          items:
            type: string
          type: array
          default: []
        videos:
          items:
            type: string
          type: array
          default: []
        published_pages:
          items:
            type: string
          type: array
          default: []
        alternatives_url:
          anyOf:
            - type: string
            - type: 'null'
        reviews_url:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - seo_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SoftwareadviceRatingDistribution:
      properties:
        '@type':
          type: string
          default: SoftwareadviceRatingDistribution
        one:
          anyOf:
            - type: integer
            - type: 'null'
        two:
          anyOf:
            - type: integer
            - type: 'null'
        three:
          anyOf:
            - type: integer
            - type: 'null'
        four:
          anyOf:
            - type: integer
            - type: 'null'
        five:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    SoftwareadvicePricing:
      properties:
        '@type':
          type: string
          default: SoftwareadvicePricing
        currency:
          anyOf:
            - type: string
            - type: 'null'
        currency_symbol:
          anyOf:
            - type: string
            - type: 'null'
        price_range:
          anyOf:
            - type: integer
            - type: 'null'
        has_free_trial:
          anyOf:
            - type: boolean
            - type: 'null'
        has_free_version:
          anyOf:
            - type: boolean
            - type: 'null'
        plans:
          items:
            $ref: '#/components/schemas/SoftwareadvicePlan'
          type: array
          default: []
      type: object
    SoftwareadviceProCon:
      properties:
        '@type':
          type: string
          default: SoftwareadviceProCon
        text:
          type: string
        headline:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        positive_percentage:
          anyOf:
            - type: number
            - type: 'null'
        neutral_percentage:
          anyOf:
            - type: number
            - type: 'null'
        negative_percentage:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - text
    SoftwareadviceFeature:
      properties:
        '@type':
          type: string
          default: SoftwareadviceFeature
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    SoftwareadviceScoredFeature:
      properties:
        '@type':
          type: string
          default: SoftwareadviceScoredFeature
        name:
          type: string
        rating:
          anyOf:
            - type: number
            - type: 'null'
        category_average:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - name
    SoftwareadviceIntegration:
      properties:
        '@type':
          type: string
          default: SoftwareadviceIntegration
        seo_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        mention_count:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    SoftwareadviceCategoryRef:
      properties:
        '@type':
          type: string
          default: SoftwareadviceCategoryRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        seo_id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    SoftwareadviceProductRef:
      properties:
        '@type':
          type: string
          default: SoftwareadviceProductRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        seo_id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    SoftwareadvicePlan:
      properties:
        '@type':
          type: string
          default: SoftwareadvicePlan
        name:
          type: string
        starting_price:
          anyOf:
            - type: number
            - type: 'null'
        custom_price:
          anyOf:
            - type: string
            - type: 'null'
        payment_frequency:
          anyOf:
            - type: integer
            - type: 'null'
        pricing_model:
          anyOf:
            - type: integer
            - type: 'null'
        attributes:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````